Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Class TransactionRolledbackLocalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.ejb.EJBException
                      javax.ejb.TransactionRolledbackLocalException

All Implemented Interfaces:
  java.io.Serializable

public class TransactionRolledbackLocalException
extends EJBException

This exception indicates that the transaction associated with processing of the request has been rolled back, or marked to roll back. Thus the requested operation either could not be performed or was not performed because further computation on behalf of the transaction would be fruitless

See Also:
  Serialized Form

Constructor Summary
`TransactionRolledbackLocalException()` Constructs a TransactionRolledbackLocalException with no detail message.
`TransactionRolledbackLocalException(java.lang.String message)` Constructs a TransactionRolledbackLocalException with the specified detailed message.
`TransactionRolledbackLocalException(java.lang.String message, java.lang.Exception ex)` Constructs a TransactionRolledbackLocalException with the specified detail message and a nested exception.

Methods inherited from class javax.ejb.EJBException
`getCausedByException, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionRolledbackLocalException

    public TransactionRolledbackLocalException()

  Constructs a TransactionRolledbackLocalException with no detail message.

### TransactionRolledbackLocalException

    public TransactionRolledbackLocalException(java.lang.String message)

  Constructs a TransactionRolledbackLocalException with the specified detailed message.

### TransactionRolledbackLocalException

    public TransactionRolledbackLocalException(java.lang.String message,
                                               java.lang.Exception ex)

  Constructs a TransactionRolledbackLocalException with the specified detail message and a nested exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.